API EndpointsHyperliquid
/wallets/{address}/funding
Funding paid and received by one wallet.
GET https://data.vike.io/v1/hyperliquid/wallets/{address}/fundingFunding paid and received by one wallet.
# the newest funding payments of one wallet
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/funding?limit=3" \
-H "X-API-KEY: $VIKE_API_KEY"
# next page of the call just above: NEXT is its nextCursor, passed back verbatim
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/funding?limit=3&cursor=$NEXT" \
-H "X-API-KEY: $VIKE_API_KEY"
# funding on one coin
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/funding?coin=BTC&limit=100" \
-H "X-API-KEY: $VIKE_API_KEY"
# funding over a pinned week
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/funding?start=2026-08-24T00:00:00Z&end=2026-08-31T00:00:00Z&limit=5000" \
-H "X-API-KEY: $VIKE_API_KEY"
# net funding by coin over a page
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/funding?limit=1000" \
-H "X-API-KEY: $VIKE_API_KEY" \
| jq '.items | group_by(.asset) | map({asset: .[0].asset, payment_usd: (map(.payment_usd) | add)})'addresspathrequiredThe wallet
coinqueryoptionalHL coin ticker
startqueryoptionalISO-8601 UTC bounds
endqueryoptionalISO-8601 UTC bounds
limitqueryoptionalDefault 100, max 5000
cursorqueryoptionalKeyset cursor
{
"wallet": "0x25773676902085225ae5751075e4161369334897",
"items": [
{
"ts": "2026-08-28T13:00:00+00:00",
"asset": "xyz:ZM",
"payment_usd": -1.897955,
"position_size": -95.101,
"funding_rate": -0.0001990948,
"dex_name": "HL"
},
{
"ts": "2026-08-28T13:00:00+00:00",
"asset": "xyz:XYZ100",
"payment_usd": 0.000018,
"position_size": -0.0001,
"funding_rate": 0.00000625,
"dex_name": "HL"
},
{
"ts": "2026-08-28T13:00:00+00:00",
"asset": "xyz:XLE",
"payment_usd": 0.253792,
"position_size": -467.0,
"funding_rate": 0.000008719,
"dex_name": "HL"
}
],
"nextCursor": "eyJhIjoieHl6OlhMRSIsInQiOiIyMDI2LTA4LTI4IDEzOjAwOjAwIn0"
}